### Method

# Lasem DomNode remove_child

#### Declaration [src]

    LsmDomNode*
    lsm_dom_node_remove_child (
      LsmDomNode* self,
      LsmDomNode* old_child
    )

#### Description [src]

Removes the child node indicated by `old_child` from the list of children, and returns it.

#### Parameters

`old_child`

  Type: `LsmDomNode`

  Node to remove.

  The data is owned by the caller of the method.

#### Return value

Type: `LsmDomNode`

The removed node.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.